package com.persagy.dmp.rwd.simple.service;

import java.util.List;
import java.util.Map;

/**
 * 数字孪生 设备统计相关接口
 * @author Charlie Yu
 * @date 2021-09-02
 */
public interface IEquipmentReportService {

    /**
     * 统计项目设备总数和待报废设备数量
     * 待报废设备 = ifnull(预计报废日期, '9999-12-31') < (当前日期+6个月)
     * @param projectIds
     * @return
     */
    List<Map<String, Object>> queryExpectScrapCountByProjects(List<String> projectIds);
}
