package com.persagy.dmp.rwd.simple.service.impl;

import com.persagy.dmp.common.utils.DateHelper;
import com.persagy.dmp.rwd.simple.dao.EquipmentReportMapper;
import com.persagy.dmp.rwd.simple.service.IEquipmentReportService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 数字孪生 设备统计相关接口实现类
 * @author Charlie Yu
 * @date 2021-09-02
 */
@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class EquipmentReportServiceImpl implements IEquipmentReportService {

    @Resource
    private EquipmentReportMapper mapper;

    @Override
    public List<Map<String, Object>> queryExpectScrapCountByProjects(List<String> projectIds) {
        Date date = DateHelper.addMonth(new Date(), 6);
        // 日期格式，标准字典是yyyy-MM-dd，应该不会改。有改动再改为查字典获取格式
        String scrapDate = DateHelper.DateToString(date, "yyyy-MM-dd");
        return mapper.queryExpectScrapCountByProjects(scrapDate, projectIds);
    }
}
